using e_suite.Utilities.Pagination;
using NUnit.Framework;
using UserManager.UnitTests.Helpers;

namespace UserManager.UnitTests.UserManager;

[TestFixture]
public class GetUsersAsyncUnitTests : UserManagerTestBase<object>
{
    [SetUp]
    public override async Task Setup()
    {
        await base.Setup();
    }

    [Test]
    public async Task GetUsersAsync_WhenCalledWithNoSpecificParameters_ReturnsPageOfResults()
    {
        // Arrange
        var paging = new Paging();

        // Act
        var result = await UserManager.GetUsersAsync(paging, default);

        // Assert
        Assert.That(result, Is.Not.Null);
        Assert.That(result.Count, Is.EqualTo(1));
        Assert.That(result.Data, Is.Not.Null);
        Assert.That(result.Data.Count(), Is.EqualTo(1));
    }
}